---
path: "/design/product-design"
title: "🎯 Product Design Framework"
sidebarTitle: "🎯 Product Design"
sidebarGroup: "design"
yaml: false
levels:
homepage:
---
## Level 1



### Knowledge

You are early on in your design career but have an educated understanding of the basics of visual (layout, type, colour, iconography) and interaction design (gestalt, Fitt's law, Hick's law, etc.), along with experience using Sketch or the tool of your choice to turn your knowledge into real design work. You are driven by the challenge of mastering your new craft, advancing your understanding of the fundamentals and history design, and feeding off the people around you to develop your knowledge.

### Ownership

You acknowledge the role of a product designer in owning a piece of work from end to end, and communicate clearly with PMs and designers in supporting you to achieve this. You work with other designers to help bring your work to the highest quality level, and whenever you need help you ask for it in a timely manner.

### Collaboration

You work with other designers to aid your understanding of how and why to make decisions, and the trade-offs that come with them. You seek out the information and feedback required to get tasks done while communicating back to those that are impacted by your decisions. You learn from your mistakes and take feedback graciously making the most of our design critique mechanisms. Along with this, you also support other designers in their work, bringing personal insights and feeling comfortable challenging decisions you see that could be improved.

---

## Level 2



### Knowledge

You're totally proficient in multiple aspects of digital product design and user research. You always know how to use time, haptics, sound and motion to create the condition for a great product experience while carrying with you all the insights learnt during the discovery cycles. You don't always think about design principles because they come to you naturally without even thinking about it anymore. You've also mastered your toolkit to work as fast as the tools allow, you know all the shortcuts, you install plugins to work more efficiently and you know what's new on every single release of the tools you use.

### Ownership

You're involved in and own big (and not necessarily well defined) tasks and projects that will have a big impact. You're able to offer product direction into complex problems creating the perfect and easy to use product that Intugine is known for.

### Collaboration

You provide feedback and guidance to those around you. You help mentoring more junior staff and are a source of integrity and a model to follow. You're involved in hiring and actively help shaping the team culture. You are also very good at identifying opportunities for collaboration between different teams and are good at making problems smaller instead of bigger.

---

## Level 3



### Knowledge

You've mastered interaction design and know enough about research to bridge the gaps. You've decided that in your career, you want to stay as an individual contributor, close to the pixels and their users. Your experience allows you to understand the business as a whole and to proactively identify where your impact can be bigger.

### Ownership

You define and completely own big tasks and coordinate well with others to get them done. Product vision, direction and execution don't represent a challenge to you anymore, and people just come to you knowing you'll have thought already of solutions.

### Collaboration

You are an excellent mentor and people constantly learn more from you during show and tell and feedback on Lattice. You put effort into hiring and you sometimes write blogposts or speak at conferences. These things elevate our design culture and make us better.

---

## Level 4



### Knowledge

You've mastered multiple design disciplines but you also know who the experts are and are able to delegate accordingly.

### Ownership

You can take the long-term vision and define the building blocks needed to get there.

### Collaboration

You're very good at leading through influence. You're an effective teacher, able to formally and informally teach those around you. You’re highly recognised for your impact on team culture and people want to work with you.

---

## Level 5



### Knowledge

You have a very wide breadth of knowledge and you can easily switch context and pick up on new concepts.

### Ownership

You understand the big picture and integrate the company goals into Design. You're also great at communicating the long-term vision & mission for the company.

### Collaboration

You inspire your team and can attract top talent to the organisation You unblock people outside of Design because of all the context and willingness you carry with you.

---

## Level 6



### Knowledge

You have an immense amount of knowledge but also a very high-level understanding about how your function intersects with the rest of the company and business.

### Ownership

You are the accountable executive for very high-impact projects, things like a world-wide rebrand can be left in your hands with confidence.

### Collaboration

You inspire those around you and you're an effective leader of our culture and strategy. Even though you're not a manager full-time you have incredibly strong leadership and coaching abilities.